> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md).

# Set default payment card

## Overview

The default digital card is the card your **digital wallet application** shows first during contactless payment.

The end user can keep the default digital card or switch cards from your UI before they confirm the payment.

For payment UX options, see [Contactless payment](/nfc-wallet-sdk-ios/implement-nfc-wallet/make-payments/implement-contactless-payment.md).

### SDK integration

Call `DigitalCard.setDefault()` on the `DigitalCard` you want to set as default.

The following example sets the default digital card:

{% code title="Set default card" %}

```swift
func setDefaultCard(digitalCard: DigitalCard) async {
  do {
    _ = try await digitalCard.setDefault()
  } catch {
    // Handle errors.
  }
}
```

{% endcode %}

{% hint style="info" %}
You can set a default digital card only when it is active.

The card must also have at least one payment key remaining.

Use the properties in [Get card details](/nfc-wallet-sdk-ios/implement-nfc-wallet/manage-digital-cards/display-digital-cards.md#get-card-details) to validate both.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
